Discovery API
Inspect the server and registered capabilities. Manage and search discovery publications under /api/v2/ard.
Operations
| Operation | Method | Path |
|---|---|---|
listAgents | GET | /api/v2/agents |
agentCapabilities | GET | /api/v2/agents/{label}/capabilities |
listPublications | GET | /api/v2/ard/publications |
publishDiscovery | POST | /api/v2/ard/publications |
deletePublication | DELETE | /api/v2/ard/publications/{id} |
searchDiscovery | POST | /api/v2/ard/search |
discoverySettings | GET | /api/v2/ard/settings |
serverInfo | GET | /api/v2/server |
listAgents
Parameters
| Parameter | In | Required | Type |
|---|---|---|---|
tag | query | no | string |
Responses
| Status | Body | Meaning |
|---|---|---|
200 | AgentList | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"items": [
{
"capabilities": {
"key": {
"input_schema": {},
"kind": {},
"output_schema": {},
"realtime": {},
"retry": {},
"tags": [
{}
],
"timeout_seconds": 0
}
},
"id": "string",
"label": "string",
"tags": [
"string"
],
"version": "string"
}
]
}
agentCapabilities
Parameters
| Parameter | In | Required | Type |
|---|---|---|---|
label | path | yes | string |
tag | query | no | string |
version | query | no | string |
Responses
| Status | Body | Meaning |
|---|---|---|
200 | AgentDefinition | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"capabilities": {
"key": {
"input_schema": {},
"kind": "traversal",
"output_schema": {},
"realtime": {
"model": "string",
"provider": "string",
"transport": "string"
},
"retry": {
"max_attempts": 0
},
"tags": [
"string"
],
"timeout_seconds": 0
}
},
"id": "string",
"label": "string",
"tags": [
"string"
],
"version": "string"
}
listPublications
Responses
| Status | Body | Meaning |
|---|---|---|
200 | DiscoveryPublications | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"items": [
{
"artifact": {},
"artifact_type": "string",
"description": "string",
"display_name": "string",
"id": "string",
"label": "string",
"published": false,
"tags": [
"string"
],
"updated_at": 0,
"validation": {
"scope": "string",
"status": "string"
},
"version": "string"
}
]
}
publishDiscovery
Request body
{
"label": "string"
}
Responses
| Status | Body | Meaning |
|---|---|---|
200 | DiscoveryPublication | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"artifact": {},
"artifact_type": "string",
"description": "string",
"display_name": "string",
"id": "string",
"label": "string",
"published": false,
"tags": [
"string"
],
"updated_at": 0,
"validation": {
"scope": "string",
"status": "string"
},
"version": "string"
}
deletePublication
Parameters
| Parameter | In | Required | Type |
|---|---|---|---|
id | path | yes | string |
Responses
| Status | Body | Meaning |
|---|---|---|
200 | Deleted | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"deleted": false
}
searchDiscovery
Request body
{
"query": "string"
}
Responses
| Status | Body | Meaning |
|---|---|---|
200 | DiscoveryPublications | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"items": [
{
"artifact": {},
"artifact_type": "string",
"description": "string",
"display_name": "string",
"id": "string",
"label": "string",
"published": false,
"tags": [
"string"
],
"updated_at": 0,
"validation": {
"scope": "string",
"status": "string"
},
"version": "string"
}
]
}
discoverySettings
Responses
| Status | Body | Meaning |
|---|---|---|
200 | DiscoverySettings | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"configuration_path": "string",
"configuration_source": "string",
"enabled": false,
"locked_reason": "string",
"protocols": {
"a2a_enabled": false,
"mcp_enabled": false,
"public_base_url": "string"
},
"public_base_url": "string",
"public_registry": false,
"publish_catalog": false
}
serverInfo
Responses
| Status | Body | Meaning |
|---|---|---|
200 | ServerInfo | Successful operation |
400 | ErrorResponse | Structured API error |
401 | ErrorResponse | Missing or invalid credentials |
403 | ErrorResponse | Role or ownership denied |
404 | ErrorResponse | Resource unavailable to this identity |
409 | ErrorResponse | Revision, idempotency, immutable version or lease conflict |
413 | ErrorResponse | Structured API error |
422 | ErrorResponse | Capability input/output schema violation |
429 | ErrorResponse | Capacity exceeded |
500 | ErrorResponse | Structured API error |
503 | ErrorResponse | Structured API error |
Example response 200
{
"api_version": "string",
"features": {
"key": false
},
"namespace": "string",
"product": "string",
"version": "string",
"worker_protocol": "string"
}